%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}

%global gem_name ovirt-engine-sdk

Summary: oVirt SDK
Name: %{?scl_prefix}rubygem-%{gem_name}4
Version: 4.1.5
Release: 1%{?dist}
Group: Development/Languages
License: Apache-2.0
URL: http://ovirt.org
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem
BuildRequires: %{?scl_prefix}ruby-devel
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: libcurl-devel
BuildRequires: libxml2-devel
Requires: %{?scl_prefix}ruby(release)
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}ruby
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Ruby SDK for the oVirt Engine API.


%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}

%prep
%{?scl:scl enable %{scl} - << \EOF}
gem unpack %{SOURCE0}
%{?scl:EOF}
%setup -q -D -T -n  %{gem_name}-%{version}

%{?scl:scl enable %{scl} - << \EOF}
gem spec %{SOURCE0} -l --ruby > %{gem_name}.gemspec
%{?scl:EOF}

%build
# Create the gem as gem install only works on a gem file
%{?scl:scl enable %{scl} - << \EOF}
gem build %{gem_name}.gemspec
%{?scl:EOF}

%{?scl:scl enable %{scl} - << \EOF}
%gem_install
%{?scl:EOF}

%install
mkdir -p %{buildroot}%{gem_dir}
cp -pa .%{gem_dir}/* \
        %{buildroot}%{gem_dir}/

mkdir -p %{buildroot}%{gem_extdir_mri}
cp -a .%{gem_extdir_mri}/{gem.build_complete,*.so} %{buildroot}%{gem_extdir_mri}/

# Remove the binary extension sources and build leftovers.
rm -rf %{buildroot}%{gem_instdir}/ext

%files
%dir %{gem_instdir}
%{gem_instdir}/LICENSE.txt
%{gem_dir}/specifications/%{gem_name}-%{version}.gemspec
%{gem_extdir_mri}
%{gem_instdir}/.yardopts
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}

%files doc
%doc %{gem_docdir}
%{gem_instdir}/CHANGES.adoc
%{gem_instdir}/README.adoc

%changelog
* Thu Mar 16 2017 Satoe Imaishi <simaishi@redhat.com> - 4.1.5-1
- Update to 4.1.5

* Tue Mar 07 2017 Satoe Imaishi <simaishi@redhat.com> - 4.0.12-1
- Update to 4.0.12

* Mon Jan 23 2017 Satoe Imaishi <simaishi@redhat.com> - 4.0.6-1
- Update to 4.0.6

* Fri Oct 14 2016 Satoe Imaishi <simaishi@redhat.com> - 4.0.5-1
- Update to 4.0.5, 'curb' dependency removed

* Wed Oct 05 2016 Satoe Imaishi <simaishi@redhat.com> - 4.0.2-1
- Update to 4.0.2

* Tue Aug 30 2016 Satoe Imaishi <simaishi@redhat.com> - 4.0.0-1
- Update to 4.0.0

* Thu Aug 18 2016 Satoe Imaishi <simaishi@redhat.com> - 4.0.0-alpha19.1
- Initial Build
